"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWS = require("aws-sdk");
/**
 * Get S3 instance.
 *
 * @param {IServerless} serverless serverless instance
 * @param {String}      region     region name
 *
 * @returns {IS3} S3 instance
 */
function getS3Instance(serverless, region) {
    return new AWS.S3({ region, apiVersion: '2006-03-01' });
}
exports.getS3Instance = getS3Instance;
/**
 * Get CloudFormation instance.
 *
 * @param {IServerless} serverless serverless instance
 * @param {String}      region     region name
 *
 * @returns {ICF} cloud formation instance
 */
function getCloudFormationInstance(serverless, region) {
    return new AWS.CloudFormation({ region, apiVersion: '2010-12-01' });
}
exports.getCloudFormationInstance = getCloudFormationInstance;
