"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const path = require("path");
/**
 * Write values to file.
 *
 * @returns {undefined}
 */
function putValues() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            if (this.options.verbose) {
                this.logger.log('Writing Outputs...');
            }
            let dir;
            if (this.options.path) {
                dir = path.resolve(this.options.path);
            }
            else {
                dir = path.resolve(`${this.serverless.config.servicePath}/.serverless`);
            }
            yield fs.ensureDir(dir);
            yield fs.writeJson(`${dir}/stack-outputs.json`, this.serverless.variables.stack.outputs, { spaces: 2 });
            this.logger.log('Outputs Retrieved Successfully');
        }
        catch (error) {
            this.logger.log(error);
        }
    });
}
exports.default = putValues;
